Search Results for

Show / Hide Table of Contents

# Class SelectionChangedEventArgs<T>

Event arguments describing a change in selected object in a tree view

##### Inheritance

System.Object
SelectionChangedEventArgs<T>

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class SelectionChangedEventArgs<T> : EventArgs where T : class

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

#### SelectionChangedEventArgs(TreeView<T>, T, T)

Creates a new instance of event args describing a change of selection in `tree`

##### Declaration

    public SelectionChangedEventArgs(TreeView<T> tree, T oldValue, T newValue)

##### Parameters

Type | Name | Description
--- | --- | ---
TreeView<T> | tree |
T | oldValue |
T | newValue |

### Properties

#### NewValue

The newly selected value in the Tree (can be null)

##### Declaration

    public T NewValue { get; }

##### Property Value

Type | Description
--- | ---
T |

#### OldValue

The previously selected value (can be null)

##### Declaration

    public T OldValue { get; }

##### Property Value

Type | Description
--- | ---
T |

#### Tree

The view in which the change occurred

##### Declaration

    public TreeView<T> Tree { get; }

##### Property Value

Type | Description
--- | ---
TreeView<T> |